# Calkulate v2

[![pypi badge](https://img.shields.io/pypi/v/calkulate.svg?style=popout)](https://pypi.org/project/calkulate/)

Calkulate calculates alkalinity from potentiometric titration data.

For v1.0.2 (for MATLAB, and only implementing the half-Gran solver) [see the relevant branch](https://github.com/mvdh7/calkulate/tree/1.0.2).

Documentation is available at [calkulate.readthedocs.io](https://calkulate.readthedocs.io/en/latest/).


## Installation

    pip install calkulate

## Upgrade

    pip install calkulate --upgrade --no-cache-dir

## Citation

A paper describing Calkulate v2 is in preparation. For now, if you use any version of Calkulate in your research, please cite it as:

  * Humphreys, M. P. (2015). "Calculating seawater total alkalinity from open-cell titration data using a modified Gran plot technique," in *Measurements and Concepts in Marine Carbonate Chemistry* (PhD Thesis, Ocean and Earth Science, University of Southampton, UK), 25–44.

But please do check back here for any updates first (or [get in touch](https://mvdh.xyz/contact/))!
